Subject: Re: bug#8222: 24.0.50; problem with themeing var with repeat string

From: [email-masked]
Date: Sat, 12 Mar 2011 20:52:11 +0100

Chong Yidong <[email-masked]> writes:

> [email-masked] writes:
>
>> custom-theme-visit-theme doesnt provide a repeater while the usual
>> customize interface does.
>>
>> what I want to do is enable one base theme like wheatgrass or whatever.
>> On top of that I would like to add one zen theme, out of a set of three
>> zen themes.
>>
>> When I try the code I get all sorts of confusing behaviour. I iont get
>> the base theme I expect. The tool-bar doesnt come back when I disable a
>> zen theme. etc.
>>
>> I will update the repo for zen and then you can maybe try it?
>
> Could you try to come up a simple, minimal test case instead?  I am
> still not clear on what the problem is.

Ok I hope this will be adequate:

(defcustom zen-encumbered-urls nil
  "make it harder to reach urls so you remember not to go there."
  :group 'zen-mode
  :type '(repeat string))

define this theme:

(deftheme zen-test
  "Created 2011-03-10.")

(custom-theme-set-variables
 'zen-test
 '(zen-encumbered-urls  (quote ( "#brief timewastes" "www.penny-arcade.com" "www.dilbert.com" "www.xkcd.com" "www.userfriendly.org" "#news waste" "slashdot.org" "dn.se" "#social timewastes" "https://www.facebook.com")))
)

(provide-theme 'zen-test)

then:

load-library cus-theme
custom-theme-visit-theme zen-test

I'm expecting to see the same string repeater widgets plain customize
shows. Instead I get a single string that shows nil. In my larger code I
don't get nil I just get the list but still not the repeater.

-- 
Joakim Verona